%define upstream_name    parent
%define upstream_version 0.228

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Establish an ISA relationship with base classes at compile time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/C/CO/CORION/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.400.0
BuildArch:  noarch

Provides:   perl(parent)

%description
Allows you to both load one or more modules, while setting up inheritance from
those modules at the same time.  Mostly similar in effect to

    package Baz;
    BEGIN {
        require Foo;
        require Bar;
        push @ISA, qw(Foo Bar);
    }

By default, every base class needs to live in a file of its own.
If you want to have a subclass and its parent class in the same file, you
can tell C<parent> not to load any modules by using the C<-norequire> switch:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/parent.pm

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.228.0-5.mga5
+ Revision: 745144
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.228.0-4.mga5
+ Revision: 687050
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.228.0-3.mga5
+ Revision: 597009
- perl 5.18.2 rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.228.0-2.mga4
+ Revision: 536974
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.228.0-1.mga4
+ Revision: 486042
- update to 0.228

* Sun Sep 08 2013 sander85 <sander85> 0.227.0-1.mga4
+ Revision: 476020
- update to 0.227

* Sun Aug 04 2013 sander85 <sander85> 0.226.0-1.mga4
+ Revision: 463516
- update to 0.226

* Sun Jan 13 2013 umeabot <umeabot> 0.225.0-3.mga3
+ Revision: 375536
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.225.0-2.mga2
+ Revision: 103654
- increase rel for rebuild

* Thu Mar 10 2011 jquelin <jquelin> 0.225.0-1.mga1
+ Revision: 67427
- update to 0.225

* Sat Feb 26 2011 jquelin <jquelin> 0.224.0-2.mga1
+ Revision: 60626
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.224.0-1.mga1
+ Revision: 22038
- cleaning spec file
- imported package perl-parent


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.224.0-1mdv2011.0
+ Revision: 596724
- update to 0.224

* Thu Sep 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.223.0-1mdv2010.0
+ Revision: 427899
- update to 0.223

* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 0.222.0-1mdv2010.0
+ Revision: 422898
- update to 0.222

* Sun Apr 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.221-3mdv2009.1
+ Revision: 364122
- forgot to bump mkrel

* Sun Apr 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.221-2mdv2009.1
+ Revision: 364121
- adding missing provides

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.221-2mdv2009.0
+ Revision: 268913
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.221-1mdv2009.0
+ Revision: 195404
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.219-1mdv2008.1
+ Revision: 109067
- import perl-parent


